Bug 102277 - [MAINTAINER] multimedia/tunapie: update to 1.0.r4.3
[MAINTAINER] multimedia/tunapie: update to 1.0.r4.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: itetcu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 17:10 UTC by nivit
Modified: 2006-09-04 10:16 UTC (History)
0 users

See Also:


Attachments
tunapie-1.0.r4.3.patch (4.20 KB, patch)
2006-08-19 17:10 UTC, nivit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nivit 2006-08-19 17:10:17 UTC
- Update to 1.0.r4.3
- Add knob WITH_XINE (vs mplayer)

Generated with FreeBSD Port Tools 0.77
Comment 1 itetcu freebsd_committer 2006-08-20 08:09:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 itetcu freebsd_committer 2006-08-20 12:45:38 UTC
State Changed
From-To: open->feedback

There are 2 problems: missing a man page fixed by adding MAN1=tunapie.1 
in the makefile and it's creating share/spplicaions as a filewhich is 
wrong, it should be a dir (and packageing fails): 
http://sce-tindy.tecnik93.com/tb/logs/6-STABLE-i386-myPT/tunapie-1.0.r4.3.log 
(ignore the rest of plist erros, they are local to my tindy).
Comment 3 nivit 2006-08-22 12:22:24 UTC
Hi,

> [Ion-Mihai Tetcu, 2006-08-20T11:45:38+00:00]
> There are 2 problems: missing a man page fixed by adding MAN1=tunapie.1
> in the makefile and it's creating share/spplicaions as a filewhich is
> wrong, it should be a dir (and packageing fails):

Fixed with the following patch, thanks.

diff -ruN tunapie/Makefile tunapie.update-1.0.r4.3/Makefile
--- tunapie/Makefile	Sun Jul 30 11:34:50 2006
+++ tunapie.update-1.0.r4.3/Makefile	Tue Aug 22 13:17:12 2006
@@ -6,11 +6,11 @@
 #
 
 PORTNAME=	tunapie
-PORTVERSION=	1.0.r3
+PORTVERSION=	1.0.r4.3
 CATEGORIES=	multimedia audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=	${PORTNAME}_${PORTVERSION:S|.r3|_rc3|}
+DISTNAME=	${PORTNAME}_${PORTVERSION:S|.r4.3|-rc4-3|}
 
 MAINTAINER=	nivit@email.it
 COMMENT=	Tuner for streaming internet radio and TV
@@ -18,21 +18,30 @@
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/mx/__init__.py:${PORTSDIR}/lang/py-mx-base \
 		${PYTHON_SITELIBDIR}/${WX_PYTHON_DIR}/wxPython/_wx.py:${PORTSDIR}/x11-toolkits/py-wxPython26 \
 		streamripper:${PORTSDIR}/audio/streamripper \
-		xine:${PORTSDIR}/multimedia/xine \
 		xmms:${PORTSDIR}/multimedia/xmms
 
 NO_BUILD=	yes
 USE_PYTHON=	yes
 
-OPTIONS=	ADULT	"non-censored TV listings" off
+OPTIONS=	ADULT	"non-censored TV listings" off \
+		XINE	"use xine instead of mplayer" off
+
+MAN1=	tunapie.1
+PLIST_SUB+=	DESKTOPDIR="${DESKTOPDIR:S,^${PREFIX}/,,}"
+
+WRKSRC=	${WRKDIR}/${DISTNAME:C/-rc4-3$/_rc4/}
 
 FIND_FILES=	-type f -and \( -name "install.sh" -or -name "*.py" \)
 
 post-patch:
-	cd ${WRKSRC} && ${FIND} . ${FIND_FILES} -exec ${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
+	cd ${WRKSRC} && ${FIND} . ${FIND_FILES} -exec ${REINPLACE_CMD} \
 		-e 's|%%DATADIR%%|${DATADIR}|g'\
-		-e 's|%%X11BASE%%|${X11BASE}|g'\
+		-e 's|%%DESKTOPDIR%%|${DESKTOPDIR}|g' \
+		-e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
+		-e 's|%%MANPREFIX%%|${MANPREFIX}|g' \
 		-e 's|%%PREFIX%%|${PREFIX}|g' \
+		-e 's|%%VIDEOPLAYER%%|${VIDEOPLAYER}|g' \
+		-e 's|%%X11BASE%%|${X11BASE}|g' \
 		-e 's|wxversion.select("2.6")|wxversion.select("${WX_PYTHON_DIR:S/^wx-//g}")|g' {} \;
 
 do-install:
@@ -42,6 +51,14 @@
 
 .if defined(WITH_ADULT)
 ADULT_TVLIST=	--adult
+.endif
+
+.if defined(WITH_XINE)
+RUN_DEPENDS+=	xine:${PORTSDIR}/multimedia/xine
+VIDEOPLAYER=	${X11BASE}/bin/xine
+.else
+RUN_DEPENDS+=	mplayer:${PORTSDIR}/multimedia/mplayer
+VIDEOPLAYER=	${LOCALBASE}/bin/mplayer
 .endif
 
 .if defined(WITH_UNICODE) && (${OSVERSION} > 500000)
diff -ruN tunapie/distinfo tunapie.update-1.0.r4.3/distinfo
--- tunapie/distinfo	Sun Jul 30 11:34:50 2006
+++ tunapie.update-1.0.r4.3/distinfo	Sat Aug 19 17:56:30 2006
@@ -1,3 +1,3 @@
-MD5 (tunapie_1.0_rc3.tar.gz) = b92d0929cbddd0a7252ba49d8e5646ba
-SHA256 (tunapie_1.0_rc3.tar.gz) = bc22079b6e486853588c81029e08d827c649a1b9914b721c73010e394e069e95
-SIZE (tunapie_1.0_rc3.tar.gz) = 39147
+MD5 (tunapie_1.0-rc4-3.tar.gz) = 849390775274b5cc6b31e8cc7dfd11cb
+SHA256 (tunapie_1.0-rc4-3.tar.gz) = 9792a1a960f3ddf2094b45c5aedc7b6cc239570bb4902ebcb1316afff36b2476
+SIZE (tunapie_1.0-rc4-3.tar.gz) = 41982
diff -ruN tunapie/files/patch-install.sh tunapie.update-1.0.r4.3/files/patch-install.sh
--- tunapie/files/patch-install.sh	Thu Jul 20 10:32:14 2006
+++ tunapie.update-1.0.r4.3/files/patch-install.sh	Tue Aug 22 12:56:48 2006
@@ -1,7 +1,6 @@
-$FreeBSD: ports/multimedia/tunapie/files/patch-install.sh,v 1.2 2006/07/12 19:44:58 itetcu Exp $
---- install.sh	Sun Jul  2 10:49:31 2006
-+++ install.sh.port	Tue Jul  4 14:10:42 2006
-@@ -3,7 +3,7 @@
+--- install.sh	Thu Aug 17 09:17:10 2006
++++ install.sh.port	Tue Aug 22 12:01:25 2006
+@@ -3,9 +3,9 @@
  else cp src/tunersafe.py src/tuner.py
  fi
  python src/compile
@@ -9,7 +8,11 @@
 -rm -rf /usr/local/share/tunapie
 -mkdir /usr/local/share/tunapie
 -cp src/*.py src/*.pyc src/*.jpg /usr/local/share/tunapie
+-cp tunapie.1 /usr/local/man/man1
+-cp tunapie.desktop /usr/local/share/applications
 +cp tunapie %%PREFIX%%/bin
 +#rm -rf /usr/local/share/tunapie
 +mkdir %%DATADIR%%
 +cp src/*.py src/*.pyc src/*.jpg %%DATADIR%%
++cp tunapie.1 %%MANPREFIX%%/man/man1/
++cp tunapie.desktop %%DESKTOPDIR%%
diff -ruN tunapie/files/patch-src-TunerFrame1.py tunapie.update-1.0.r4.3/files/patch-src-TunerFrame1.py
--- tunapie/files/patch-src-TunerFrame1.py	Wed Jul 12 21:44:58 2006
+++ tunapie.update-1.0.r4.3/files/patch-src-TunerFrame1.py	Sat Aug 19 17:47:24 2006
@@ -10,7 +10,7 @@
 -        self.term='/usr/bin/x-terminal-emulator'
 -        self.ripper='/usr/bin/streamripper -t -u winamp2 -o never'
 +        self.mediaplayer='%%X11BASE%%/bin/xmms'
-+        self.videoplayer='%%X11BASE%%/bin/xine'
++        self.videoplayer='%%VIDEOPLAYER%%'
 +        self.term='%%X11BASE%%/bin/xterm'
 +        self.ripper='%%LOCALBASE%%/bin/streamripper -t -u winamp2 -o never'
          self.rdir=self.home+'/.tunapie/streamripper'
diff -ruN tunapie/files/patch-src-TunerPrefs.py tunapie.update-1.0.r4.3/files/patch-src-TunerPrefs.py
--- tunapie/files/patch-src-TunerPrefs.py	Sun Jul 30 11:34:50 2006
+++ tunapie.update-1.0.r4.3/files/patch-src-TunerPrefs.py	Sat Aug 19 17:48:18 2006
@@ -14,7 +14,7 @@
          self.videopath = wx.TextCtrl(id=wxID_PREFERENCESVIDEOPATH,
                name='videopath', parent=self, pos=wx.Point(168, 48),
 -              size=wx.Size(200, 22), style=0, value='/usr/bin/mplayer')
-+              size=wx.Size(200, 22), style=0, value='%%X11BASE%%/bin/xine')
++              size=wx.Size(200, 22), style=0, value='%%VIDEOPLAYER%%')
          self.videopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
                u'Sans'))
          self.videopath.SetBackgroundColour(wx.Colour(255, 253, 239))
diff -ruN tunapie/pkg-plist tunapie.update-1.0.r4.3/pkg-plist
--- tunapie/pkg-plist	Thu Jul 20 10:32:14 2006
+++ tunapie.update-1.0.r4.3/pkg-plist	Tue Aug 22 13:18:32 2006
@@ -23,4 +23,5 @@
 %%DATADIR%%/tuneradult.pyc
 %%DATADIR%%/tunersafe.py
 %%DATADIR%%/tunersafe.pyc
+%%DESKTOPDIR%%/tunapie.desktop
 @dirrm %%DATADIR%%
Comment 4 itetcu freebsd_committer 2006-08-22 13:00:17 UTC
State Changed
From-To: feedback->open

new patch received
Comment 5 itetcu freebsd_committer 2006-09-01 10:27:06 UTC
State Changed
From-To: open->feedback

http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=315 
(sorry, I don't have time to investigate this)
Comment 6 itetcu freebsd_committer 2006-09-03 16:51:53 UTC
State Changed
From-To: feedback->open

new patch received
Comment 7 itetcu freebsd_committer 2006-09-04 10:16:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!